API ReferenceAuthentication provider
Retrieve an Authentication Provider
GET
/v1/users/authentication-providers/{id}Retrieve an existing Authentication Provider by providing its ID.
Roles
adminissuermanaged-issuer
Analytics Events
USER_AUTHENTICATION_PROVIDER_RETRIEVE_STARTUSER_AUTHENTICATION_PROVIDER_RETRIEVE_SUCCESSUSER_AUTHENTICATION_PROVIDER_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Authentication Provider ID
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/users/authentication-providers/41458e5a-9092-40b7-9a26-d4eb43c5792f"{ "id": "983c0a86-204f-4431-9371-f5a22e506599", "redirectUrl": "https://tenant.vii.mattr.global/v1/oauth/authentication/callback", "url": "http://example.com", "scope": [ "openid", "profile", "email", "address", "phone" ], "clientId": "vJ0SCKchr4XjC0xHNE8DkH6Pmlg2lkCN", "tokenEndpointAuthMethod": "client_secret_post", "staticRequestParameters": { "prompt": "login", "max_age": 10000 }, "forwardedRequestParameters": [ "login_hint" ], "claimsToPersist": [ "userId" ], "clientSecret": "***********************************************************6-OjH"}How would you rate this page?